Appearance
PATCH
/config/currency/currencies/{currencyCode}Required scope:
currency:updateUpdate the details of a currency. The currency code cannot be changed. A field left out keeps its value and is not validated.
Parameters ​
Path parameters
currencyCode stringThe three letter ISO code of the currency to update. Case-insensitive.
Request body ​
JSON
{
"currencyName": "Swedish krona",
"numericCode": "752",
"symbol": "kr",
"roundingPrecision": 1,
"roundingDirection": 0,
"discountRoundingPrecision": 0.5,
"discountRoundingDirection": 0,
"active": true
}
Response ​
The currency was updated successfully.
| Error code | Description |
|---|---|
currency-discount-rounding-direction-invalid | The discount rounding direction must be 0 (down), 1 (nearest) or 2 (up). |
currency-discount-rounding-precision-invalid | The discount rounding precision must be at least 0 and below 10. |
currency-name-cannot-be-blank | The currency name cannot be a blank string. |
currency-name-is-unavailable | A currency with this name already exists. |
currency-name-too-long | The currency name cannot be longer than 30 characters. |
currency-not-found | The currency with the given code was not found. |
currency-numeric-code-too-long | The numeric code cannot be longer than 4 characters. |
currency-rounding-direction-invalid | The rounding direction must be 0 (down), 1 (nearest) or 2 (up). |
currency-rounding-precision-invalid | The rounding precision must be at least 0 and below 10. |
currency-symbol-too-long | The symbol cannot be longer than 30 characters. |